MailcrateDocs
External audiences

Update an external audience

PUT
/public/external-audience/{id}

Requires the external-audience:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Request Body

application/json
  1. body
name?string
sourceType?string
endpointUrl?string
Formaturi
authType?string
Value in"api-key""basic""bearer""none"
authConfig?
description?string

Response Body

application/json
  1. response
id*string
workspaceId*string
name*string
description*string|null
sourceType*string
endpointUrl*string
authType*string
Value in"api-key""basic""bearer""none"
authConfig*|null
sourceId*string|null
sourceKey*string|null
archivedAt*|
Formatdate-time
created*string
Formatdate-time
updated*string
Formatdate-time
Example Request
curl -X PUT 'https://api.mailcrate.io/public/external-audience/string' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "workspaceId": "string",  "name": "string",  "description": "string",  "sourceType": "string",  "endpointUrl": "string",  "authType": "api-key",  "authConfig": {},  "sourceId": "string",  "sourceKey": "string",  "archivedAt": "2019-08-24T14:15:22Z",  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z"}